Gecode::FlatZinc::FlatZincSpaceInitData Class Reference

## Public Types

typedef std::unordered_set< TupleSet > | TupleSetSet
| Hash table of tuple sets.
typedef std::unordered_set< SharedArray< int > > | IntSharedArraySet
| Hash table of shared integer arrays.
typedef std::unordered_set< DFA > | DFASet
| Hash table of DFAs.

## Public Member Functions

| FlatZincSpaceInitData (void)
| Initialize.

## Public Attributes

TupleSetSet | tupleSetSet
| Hash table of tuple sets.
IntSharedArraySet | intSharedArraySet
| Hash table of shared integer arrays.
DFASet | dfaSet
| Hash table of DFAs.

## Detailed Description

Definition at line 753 of file flatzinc.cpp.

## Member Typedef Documentation

## TupleSetSet

typedef std::unordered_set<TupleSet> Gecode::FlatZinc::FlatZincSpaceInitData::TupleSetSet

Hash table of tuple sets.

Definition at line 756 of file flatzinc.cpp.

## IntSharedArraySet

typedef std::unordered_set<SharedArray<int> > Gecode::FlatZinc::FlatZincSpaceInitData::IntSharedArraySet

Hash table of shared integer arrays.

Definition at line 761 of file flatzinc.cpp.

## DFASet

typedef std::unordered_set<DFA> Gecode::FlatZinc::FlatZincSpaceInitData::DFASet

Hash table of DFAs.

Definition at line 766 of file flatzinc.cpp.

## Constructor & Destructor Documentation

## FlatZincSpaceInitData()

Gecode::FlatZinc::FlatZincSpaceInitData::FlatZincSpaceInitData | ( | void |  | ) |

inline

Initialize.

Definition at line 771 of file flatzinc.cpp.

## Member Data Documentation

## tupleSetSet

TupleSetSet Gecode::FlatZinc::FlatZincSpaceInitData::tupleSetSet

Hash table of tuple sets.

Definition at line 758 of file flatzinc.cpp.

## intSharedArraySet

IntSharedArraySet Gecode::FlatZinc::FlatZincSpaceInitData::intSharedArraySet

Hash table of shared integer arrays.

Definition at line 763 of file flatzinc.cpp.

## dfaSet

DFASet Gecode::FlatZinc::FlatZincSpaceInitData::dfaSet

Hash table of DFAs.

Definition at line 768 of file flatzinc.cpp.

The documentation for this class was generated from the following file:

- gecode/flatzinc/flatzinc.cpp